%define upstream_name    CGI-Application-Plugin-Session
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Add CGI::Session support to CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Application)
BuildRequires: perl(CGI::Session)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
Requires:   perl(CGI::Session)
BuildArch:  noarch

%{?perl_default_filter}

%description
CGI::Application::Plugin::Session seamlessly adds session support to your
the CGI::Application manpage modules by providing a the CGI::Session
manpage object that is accessible from anywhere in the application.

Lazy loading is used to prevent expensive file system or database calls
from being made if the session is not needed during this request. In other
words, the Session object is not created until it is actually needed. Also,
the Session object will act as a singleton by always returning the same
Session object for the duration of the request.

This module aims to be as simple and non obtrusive as possible. By not
requiring any changes to the inheritance tree of your modules, it can be
easily added to existing applications. Think of it as a plugin module that
adds a couple of new methods directly into the CGI::Application namespace
simply by loading the module. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.60.0-1.mga10
+ Revision: 2141384
- update to 1.06

* Sun Mar 20 2022 umeabot <umeabot> 1.50.0-10.mga9
+ Revision: 1802282
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-9.mga8
+ Revision: 1493483
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-8.mga7
+ Revision: 1265994
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.50.0-7.mga6
+ Revision: 1023433
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.50.0-6.mga6
+ Revision: 949062
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 788885
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 747500
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.50.0-3.mga5
+ Revision: 732920
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-2.mga5
+ Revision: 683636
- Mageia 5 Mass Rebuild

* Mon Dec 23 2013 guillomovitch <guillomovitch> 1.50.0-1.mga4
+ Revision: 560077
- new version 1.05
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 363510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 36149
- mageia rebuild
- imported package perl-CGI-Application-Plugin-Session

